System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.BindingElement

This is commonly used with transports, such as HTTP, that do not allow duplex communications natively. TCP, by contrast, does allow duplex communications natively and so does not require the use of this binding element for the service to send messages back to a client.

The client must expose an address at which the service can contact it to establish a connection from the service to the client. This client address is provided by the property. Note that indigo1 auto-generates a if one is not explicitly set by the user.

Represents the binding element that is used when the client must expose an endpoint for the service to send messages back to the client.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  The build context requires an for the .

  Returns a channel factory that can create a composite duplex channel.

  A that creates a composite duplex channel of type .

  The that provides the context required to build the channel factory. The that the factory produces.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  The build context requires an for the .

  Returns a channel listener that can accept a composite duplex channel.

  An that accepts a composite duplex channel of type .

  The that provides the context required to build the channel listener. The that the listener accepts.
- Property
  4.0.0.0
  System.Uri To be added.

  This property provides an address at which the service can contact the client. A null value causes the system to automatically generate a client base address.

  This is a base address, not an absolute address. A GUID is appended to the base address when generating client endpoints from this binding.

  Gets or sets the base address for the client.

- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement

  Returning a clone enables the runtime to support the case in which multiple custom bindings share a custom binding element. If a clone is not returned, the run-time behavior is undefined.

  A deep clone of an object creates a copy of the object and a copy of everything directly or indirectly referenced by that object. (This is also called copying the entire object graph.) A shallow clone of an object, by contrast, is a copy of the object only. If the object contains references to other objects, the shallow copy does not create copies of the referred objects; instead, it copies only the references to the original objects. In particular, a deep copy of copies over the value.

  Returns a deep clone of the current binding element.

  A that is a deep clone of the current binding element.

- Method
  4.0.0.0
  T ReferenceTypeConstraint ``

  Use this to request a typed object, such as an interface for setting properties or getting status, from the appropriate layer in the stacked binding. If a layer supports returning the requested object, it returns it. If not, it delegates the call down to the next layer in the stack. If it gets to the bottom of the stack and no layer supports getting the requested object then the caller is returned a null value.

  Returns a typed object requested from the appropriate layer in one of the channel stacks.

  The typed object requested if it is supported; or null if it is not.

  The that provides the context required to build the channel. The typed object whose support is being tested.